---
obj: application
repo: https://github.com/file/file
wiki: https://en.wikipedia.org/wiki/File_(command)
website: https://darwinsys.com/file
---
# file
determine file / [MIME](../../../files/MIME.md) type
Usage: `file [OPTION] [FILE]...`

## Options
| Option        | Description                                                                                                                                                                        |
| ------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `-b, --brief` | Do not prepend filenames to output lines (brief mode)                                                                                                                              |
| `-i, --mime`  | Causes the file command to output mime type strings rather than the more traditional human readable ones.  Thus it may say ‘text/plain; charset=us-ascii’ rather than "ASCII text" | 